Developer docs
Get Artifact
GET
/v1/artifacts/{sha256}
const url = 'https://example.com/v1/artifacts/example';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/v1/artifacts/exampleThe original bytes. The caller can recompute the hash and compare it to the record.
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”sha256
required
Sha256
string
Responses
Section titled “ Responses ”Successful Response
Media typeapplication/json
Examplegenerated
exampleValidation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}